Subject: bug#21426: 25.0.50; Emacs Trunk (OSX): unable to build using --with-ns --enable-checking='glyphs'

From: Keith David Bershatsky <[email-masked]>
Date: Fri, 11 Sep 2015 08:19:29 -0700

Eli:  I verified this morning that the build was indeed successful using --with-ns --enable-checking='glyphs'.  Thank you for fixing it.

Martin:  Sorry it took so long for me to get back to you on issue 21426.  Yes, I observe Emacs taking a breath of air (i.e., a visible pause every so often) on Windows also.  I'll need to invest some time learning how to use the `trace-redisplay` tool and I'll submit a separate issue/bug if I am able to find any clues as to the cause.

Keith

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

At Mon, 07 Sep 2015 09:08:38 +0200,
martin rudalics wrote:
> 
>  > I would like to be able to use the function `trace-redisplay` to find
>  > out why there is a slight visual pause every few seconds when holding
>  > down the arrow keys (auto-repeat) and running minor-modes that
>  > place/remove overlays.
> 
> Does this happen on OS X only?  I observe a similar problem on Windows
> and X and have no clues so far what's causing it.  I probably should
> bisect but this will take ages on my machine.
> 
> martin